Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.execute
Class LocalServiceExecutor

    java.lang.Object
      org.jboss.txbridge.ba.execute.ServiceExecutor
          org.jboss.txbridge.ba.execute.LocalServiceExecutor

    public class LocalServiceExecutor

extends ServiceExecutor

This class represents a local service executor. This executor uses the LocalExecution class as the execution mechanism by default.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Field Summary
`private static org.apache.log4j.Logger` | `log`

Fields inherited from class org.jboss.txbridge.ba.execute.ServiceExecutor
`cmp, dataProvider, execution, taskDescription`

Constructor Summary
`LocalServiceExecutor(TaskDescription taskDesc)`

Method Summary
`void` | `invoke(MethodDescription md, ExecutionDataProvider edp)` This method invokes the completion or compensation task which is specified in the service description.

Methods inherited from class org.jboss.txbridge.ba.execute.ServiceExecutor
`setExecutionType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static org.apache.log4j.Logger log

Constructor Detail

### LocalServiceExecutor

    public LocalServiceExecutor(TaskDescription taskDesc)

Method Detail

### invoke

    public void invoke(MethodDescription md,
                       ExecutionDataProvider edp)
                throws ActionExecutionException

  Description copied from class: `ServiceExecutor`
  This method invokes the completion or compensation task which is specified in the service description. It uses managed data which are passed as a parameter.

  Specified by:
    `invoke` in class `ServiceExecutor`
  Parameters:
    `md` - represents the service description.
    `edp` - represents the datamgmt data provider.
  Throws:
    `ActionExecutionException` - if it was not possible to execute datamgmt action.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD